SelectMultipleWidget (base API)
Date: 2019-04-05

com.twosigma.beakerx.easyform.formitem.widgets

## Class SelectMultipleWidget

- java.lang.Object
- - com.twosigma.beakerx.easyform.EasyFormComponent<T>
  - - com.twosigma.beakerx.easyform.formitem.ListComponent<com.twosigma.beakerx.widget.SelectMultiple>
    - - com.twosigma.beakerx.easyform.formitem.widgets.SelectMultipleWidget

- All Implemented Interfaces:
    com.twosigma.beakerx.widget.CommFunctionality

      public class SelectMultipleWidget
      extends ListComponent<com.twosigma.beakerx.widget.SelectMultiple>

- - ### Field Summary

    - ### Fields inherited from class com.twosigma.beakerx.easyform.EasyFormComponent

      `widget`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectMultipleWidget()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `checkValue(java.lang.Object value)` Throw IllegalArgumentException if such value can't be set to this component
    `java.util.List<java.lang.String>` | `formatValue(java.lang.Object value)`
    `java.lang.Integer` | `getSize()`
    `java.lang.Object` | `getValue()`
    `void` | `setSize(java.lang.Integer size)`
    `void` | `setValue(java.lang.Object[] value)`
    `void` | `setValues(java.util.Collection<java.lang.String> values)`

    - ### Methods inherited from class com.twosigma.beakerx.easyform.formitem.ListComponent

      `getMultipleSelection, getValues, setMultipleSelection`

    - ### Methods inherited from class com.twosigma.beakerx.easyform.EasyFormComponent

      `addOnChangeListener, addOnInitListener, clearListeners, close, fireChanged, fireInit, getComm, getLabel, getWidget, isButton, isEnabled, onChange, onInit, registerUpdateValueCallback, removeOnChangeListener, removeOnInitListener, setEnabled, setLabel, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectMultipleWidget

          public SelectMultipleWidget()

  - ### Method Detail

    - #### setSize

          public void setSize(java.lang.Integer size)

      Specified by:
        `setSize` in class `ListComponent<com.twosigma.beakerx.widget.SelectMultiple>`

    - #### getSize

          public java.lang.Integer getSize()

      Specified by:
        `getSize` in class `ListComponent<com.twosigma.beakerx.widget.SelectMultiple>`

    - #### setValues

          public void setValues(java.util.Collection<java.lang.String> values)

      Overrides:
        `setValues` in class `ListComponent<com.twosigma.beakerx.widget.SelectMultiple>`

    - #### getValue

          public java.lang.Object getValue()

      Overrides:
        `getValue` in class `EasyFormComponent<com.twosigma.beakerx.widget.SelectMultiple>`

    - #### setValue

          public void setValue(java.lang.Object[] value)

    - #### formatValue

          public java.util.List<java.lang.String> formatValue(java.lang.Object value)

      Overrides:
        `formatValue` in class `EasyFormComponent<com.twosigma.beakerx.widget.SelectMultiple>`

    - #### checkValue

          protected boolean checkValue(java.lang.Object value)

      Description copied from class: `EasyFormComponent`
      Throw IllegalArgumentException if such value can't be set to this component
      Overrides:
        `checkValue` in class `EasyFormComponent<com.twosigma.beakerx.widget.SelectMultiple>`
      Parameters:
        `value` - object with data to be set
      Returns:
        true if value can be set to given component